? automake.patch
? pspp-0.4.2.tar.gz
? doc/.dirstamp
? lib/gsl-extras/.deps
? lib/gsl-extras/.dirstamp
? lib/gtksheet/.deps
? lib/gtksheet/.dirstamp
? lib/linreg/.deps
? lib/linreg/.dirstamp
? m4/Makefile.am
? m4/codeset.m4
? m4/gettext.m4
? m4/glibc2.m4
? m4/glibc21.m4
? m4/iconv.m4
? m4/intdiv0.m4
? m4/intmax.m4
? m4/inttypes-pri.m4
? m4/inttypes.m4
? m4/inttypes_h.m4
? m4/isc-posix.m4
? m4/lcmessage.m4
? m4/lib-ld.m4
? m4/lib-link.m4
? m4/lib-prefix.m4
? m4/longdouble.m4
? m4/longlong.m4
? m4/nls.m4
? m4/po.m4
? m4/printf-posix.m4
? m4/progtest.m4
? m4/signed.m4
? m4/size_max.m4
? m4/stdint_h.m4
? m4/uintmax_t.m4
? m4/ulonglong.m4
? m4/wchar_t.m4
? m4/wint_t.m4
? m4/xsize.m4
? po/remove-potcdate.sed
? src/data/.deps
? src/data/.dirstamp
? src/language/.deps
? src/language/.dirstamp
? src/language/control/.deps
? src/language/control/.dirstamp
? src/language/data-io/.deps
? src/language/data-io/.dirstamp
? src/language/data-io/file-handle.c
? src/language/data-io/list.c
? src/language/dictionary/.deps
? src/language/dictionary/.dirstamp
? src/language/expressions/.deps
? src/language/expressions/.dirstamp
? src/language/lexer/.deps
? src/language/lexer/.dirstamp
? src/language/lexer/q2c
? src/language/stats/.deps
? src/language/stats/.dirstamp
? src/language/stats/correlations.c
? src/language/stats/crosstabs.c
? src/language/stats/examine.c
? src/language/stats/frequencies.c
? src/language/stats/means.c
? src/language/stats/oneway.c
? src/language/stats/rank.c
? src/language/stats/regression.c
? src/language/stats/t-test.c
? src/language/tests/.deps
? src/language/tests/.dirstamp
? src/language/utilities/.deps
? src/language/utilities/.dirstamp
? src/language/utilities/set.c
? src/language/xforms/.deps
? src/language/xforms/.dirstamp
? src/libpspp/.deps
? src/libpspp/.dirstamp
? src/libpspp/version.c
? src/math/.deps
? src/math/.dirstamp
? src/math/linreg/.deps
? src/math/linreg/.dirstamp
? src/math/ts/.deps
? src/math/ts/.dirstamp
? src/output/.deps
? src/output/.dirstamp
? src/output/charts/.deps
? src/output/charts/.dirstamp
? src/ui/gui/.deps
? src/ui/gui/.dirstamp
? src/ui/gui/psppire
? src/ui/terminal/.deps
? src/ui/terminal/.dirstamp
? src/ui/terminal/pspp
? tests/libpspp/.deps
? tests/libpspp/.dirstamp
? tests/libpspp/ll-test
? tests/libpspp/llx-test
Index: Makefile.am
===================================================================
RCS file: /sources/pspp/pspp/Makefile.am,v
retrieving revision 1.16
diff -U3 -r1.16 Makefile.am
--- Makefile.am	12 Jul 2006 20:44:14 -0000	1.16
+++ Makefile.am	14 Jul 2006 04:39:49 -0000
@@ -3,8 +3,8 @@
 AUTOMAKE_OPTIONS = gnits 1.7 subdir-objects
 
 SUBDIRS = intl gl po
-DISTCLEANFILES = 
-
+DISTCLEANFILES = ./intl/plural.c ./po/stamp-po
+BUILT_SOURCES =
 
 AM_CPPFLAGS=-I$(top_srcdir)/intl -I$(top_srcdir)/gl -I$(top_builddir)/gl
 
@@ -23,19 +23,18 @@
 AM_CFLAGS+=-D__MSDOS__
 endif
 
-
-%.c: %.q $(top_builddir)/src/language/lexer/q2c$(EXEEXT)
+.q.c:
 	@mkdir -p `dirname $@`
-	$(top_builddir)/src/language/lexer/q2c $< $@
+	./src/language/lexer/q2c $< $@
 
+$(all_q_sources:.q=.c): src/language/lexer/q2c$(EXEEXT)
+all_q_sources =
 
 pkgsysconfdir = $(sysconfdir)/@PACKAGE@
 
 
-EXTRA_DIST = AUTHORS NEWS ONEWS README TODO THANKS config.rpath	\
-mkinstalldirs config.rpath configure pspp-mode.el
+EXTRA_DIST = ONEWS config.rpath pspp-mode.el
 
-MAINTAINERCLEANFILES = Makefile.in aclocal.m4 
 CLEANFILES = 
 ACLOCAL_AMFLAGS = -I m4 -I gl/m4
 noinst_LIBRARIES=
Index: doc/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/doc/automake.mk,v
retrieving revision 1.2
diff -U3 -r1.2 automake.mk
--- doc/automake.mk	28 Apr 2006 20:07:04 -0000	1.2
+++ doc/automake.mk	14 Jul 2006 04:39:49 -0000
@@ -36,16 +36,15 @@
 	doc/get-commands.pl \
 	$(doc_pspp_TEXINFOS)
 
-CLEANFILES += doc/pspp.info doc/pspp.info-* $(top_builddir)/doc/ni.texi
-
-#Kludge to overcome automake limitations
-doc/%.dvi: am__TEXINFO_TEX_DIR=$(top_builddir)/doc
+# Kludge to get around automake deficiency.
+am__TEXINFO_TEX_DIR=./doc
 
 doc/ni.texi: $(top_srcdir)/src/language/command.def doc/get-commands.pl
 	@mkdir -p doc
 	@PERL@ $(top_srcdir)/doc/get-commands.pl $(top_srcdir)/src/language/command.def > $@
 
 
-$(INFO_DEPS): $(top_builddir)/doc/ni.texi
-$(HTML_DEPS): $(top_builddir)/doc/ni.texi
+$(INFO_DEPS): doc/ni.texi
+$(HTML_DEPS): doc/ni.texi
 
+CLEANFILES += doc/ni.texi
Index: lib/gtksheet/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/lib/gtksheet/automake.mk,v
retrieving revision 1.2
diff -U3 -r1.2 automake.mk
--- lib/gtksheet/automake.mk	15 Mar 2006 03:29:10 -0000	1.2
+++ lib/gtksheet/automake.mk	14 Jul 2006 04:39:49 -0000
@@ -2,7 +2,7 @@
 
 noinst_LIBRARIES += lib/gtksheet/libgtksheet.a
 
-lib/gtksheet/%: AM_CFLAGS = $(GTK_CFLAGS) -Wall
+lib_gtksheet_libgtksheet_a_CFLAGS = $(GTK_CFLAGS) -Wall
 
 
 lib_gtksheet_libgtksheet_a_SOURCES = \
Index: src/language/data-io/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/data-io/automake.mk,v
retrieving revision 1.5
diff -U3 -r1.5 automake.mk
--- src/language/data-io/automake.mk	1 May 2006 23:35:46 -0000	1.5
+++ src/language/data-io/automake.mk	14 Jul 2006 04:39:51 -0000
@@ -1,16 +1,7 @@
 ## Process this file with automake to produce Makefile.in  -*- makefile -*-
 
-
 noinst_LIBRARIES += src/language/data-io/libdata_io.a
 
-src_language_data_io_q_sources_q =  src/language/data-io/file-handle.q src/language/data-io/list.q
-
-src_language_data_io_q_sources_c =  src/language/data-io/file-handle.c src/language/data-io/list.c
-
-EXTRA_DIST += $(src_language_data_io_q_sources_q)
-nodist_src_language_data_io_libdata_io_a_SOURCES = $(src_language_data_io_q_sources_c)
-CLEANFILES += $(src_language_data_io_q_sources_c)
-
 src_language_data_io_libdata_io_a_SOURCES = \
 	src/language/data-io/data-list.c \
 	src/language/data-io/get.c \
@@ -24,4 +15,16 @@
 	src/language/data-io/data-writer.h \
 	src/language/data-io/file-handle.h
 
+src_language_data_io_built_sources = \
+	src/language/data-io/file-handle.c \
+	src/language/data-io/list.c
+
+all_q_sources += $(src_language_data_io_built_sources:.c=.q)
+EXTRA_DIST += $(src_language_data_io_built_sources:.c=.q)
+
+nodist_src_language_data_io_libdata_io_a_SOURCES = \
+	$(src_language_data_io_built_sources)
+
+
+CLEANFILES += $(src_language_data_io_built_sources)
 
Index: src/language/expressions/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/expressions/automake.mk,v
retrieving revision 1.2
diff -U3 -r1.2 automake.mk
--- src/language/expressions/automake.mk	15 Mar 2006 03:29:10 -0000	1.2
+++ src/language/expressions/automake.mk	14 Jul 2006 04:39:51 -0000
@@ -2,19 +2,9 @@
 
 noinst_LIBRARIES += src/language/expressions/libexpressions.a
 
-$(top_builddir)/src/language/expressions/src_language_expressions_libexpressions_a-evaluate.o: \
-	$(top_builddir)/src/language/expressions/evaluate.h \
-	$(top_builddir)/src/language/expressions/operations.h \
-	$(top_builddir)/src/language/expressions/evaluate.inc
-
-$(top_builddir)/src/language/expressions/src_language_expressions_libexpressions_a-optimize.o: \
-	$(top_builddir)/src/language/expressions/optimize.inc
-
-$(top_builddir)/src/language/expressions/src_language_expressions_libexpressions_a-parse.o: \
-	$(top_builddir)/src/language/expressions/parse.inc
-
-
-CLEANFILES += $(expressions_built_sources)
+src_language_expressions_libexpressions_a_CPPFLAGS = $(AM_CPPFLAGS) \
+	-I src/language/expressions \
+	-I $(top_srcdir)/src/language/expressions
 
 src_language_expressions_libexpressions_a_SOURCES = \
 	src/language/expressions/evaluate.c \
@@ -23,14 +13,7 @@
 	src/language/expressions/optimize.c \
 	src/language/expressions/parse.c \
 	src/language/expressions/private.h \
-	src/language/expressions/public.h \
-	src/language/expressions/evaluate.inc.pl \
-	src/language/expressions/generate.pl \
-	src/language/expressions/operations.def \
-	src/language/expressions/evaluate.h.pl \
-	src/language/expressions/operations.h.pl \
-	src/language/expressions/optimize.inc.pl \
-	src/language/expressions/parse.inc.pl
+	src/language/expressions/public.h
 
 expressions_built_sources= \
 	src/language/expressions/evaluate.h \
@@ -39,19 +22,22 @@
 	src/language/expressions/optimize.inc \
 	src/language/expressions/parse.inc
 
-src_language_expressions_libexpressions_a_CPPFLAGS = $(AM_CPPFLAGS) \
-	-I $(top_builddir)/src/language/expressions \
-	-I $(top_srcdir)/src/language/expressions
-
-nodist_src_language_expressions_libexpressions_a_SOURCES = $(expressions_built_sources)
+BUILT_SOURCES += $(expressions_built_sources)
+CLEANFILES += $(expressions_built_sources)
 
+helpers = src/language/expressions/generate.pl \
+	src/language/expressions/operations.def
 
-PERL = @PERL@
+$(expressions_built_sources): $(helpers)
+EXTRA_DIST += $(helpers) $(expressions_built_sources:=.pl)
 
-helpers = $(top_srcdir)/src/language/expressions/generate.pl \
-	$(top_srcdir)/src/language/expressions/operations.def
+SUFFIXES = .h.pl .inc.pl
 
-%: %.pl $(helpers)
-	@mkdir -p `dirname $@`
+generate_from_pl = mkdir -p `dirname $@` && \
 	$(PERL) -I $(top_srcdir)/src/language/expressions $< -o $@ -i $(top_srcdir)/src/language/expressions/operations.def
 
+.h.pl.h:
+	$(generate_from_pl)
+
+.inc.pl.inc:
+	$(generate_from_pl)
Index: src/language/lexer/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/lexer/automake.mk,v
retrieving revision 1.3
diff -U3 -r1.3 automake.mk
--- src/language/lexer/automake.mk	28 Jun 2006 05:54:58 -0000	1.3
+++ src/language/lexer/automake.mk	14 Jul 2006 04:39:51 -0000
@@ -16,9 +16,9 @@
 EXTRA_DIST += src/language/lexer/q2c.c
 
 
-$(top_builddir)/src/language/lexer/q2c: $(top_srcdir)/src/language/lexer/q2c.c 
+src/language/lexer/q2c$(EXEEXT): $(top_srcdir)/src/language/lexer/q2c.c 
 	@mkdir -p `dirname $@`
-	$(CC) $(DEFAULT_INCLUDES) $(AM_CPPFLAGS) $< -o $@
+	$(CC) $(DEFAULT_INCLUDES) $(AM_CPPFLAGS) $(top_srcdir)/src/language/lexer/q2c.c -o $@
 
 
-CLEANFILES+=$(top_builddir)/src/language/lexer/q2c
+CLEANFILES += src/language/lexer/q2c$(EXEEXT)
Index: src/language/stats/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/stats/automake.mk,v
retrieving revision 1.3
diff -U3 -r1.3 automake.mk
--- src/language/stats/automake.mk	17 Mar 2006 04:58:25 -0000	1.3
+++ src/language/stats/automake.mk	14 Jul 2006 04:39:51 -0000
@@ -1,20 +1,8 @@
 ## Process this file with automake to produce Makefile.in  -*- makefile -*-
 
-
 noinst_LIBRARIES += src/language/stats/libstats.a
 
-src_language_stats_q_sources_q =  \
-	src/language/stats/correlations.q \
-	src/language/stats/crosstabs.q \
-	src/language/stats/examine.q \
-	src/language/stats/frequencies.q \
-	src/language/stats/means.q \
-	src/language/stats/oneway.q \
-	src/language/stats/rank.q \
-	src/language/stats/regression.q \
-	src/language/stats/t-test.q
-
-src_language_stats_q_sources_c = \
+src_language_stats_built_sources = \
 	src/language/stats/correlations.c \
 	src/language/stats/crosstabs.c \
 	src/language/stats/examine.c \
@@ -25,10 +13,10 @@
 	src/language/stats/regression.c \
 	src/language/stats/t-test.c
 
-
-EXTRA_DIST += $(src_language_stats_q_sources_q)
-nodist_src_language_stats_libstats_a_SOURCES = $(src_language_stats_q_sources_c)
-CLEANFILES += $(src_language_stats_q_sources_c)
+all_q_sources += $(src_language_stats_built_sources:.c=.q)
+EXTRA_DIST += $(src_language_stats_built_sources:.c=.q)
+nodist_src_language_stats_libstats_a_SOURCES = $(src_language_stats_built_sources)
+CLEANFILES += $(src_language_stats_built_sources)
 
 src_language_stats_libstats_a_CPPFLAGS = $(AM_CPPFLAGS) \
 	-I$(top_srcdir)/src/language/stats
Index: src/language/utilities/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/utilities/automake.mk,v
retrieving revision 1.2
diff -U3 -r1.2 automake.mk
--- src/language/utilities/automake.mk	15 Mar 2006 03:29:11 -0000	1.2
+++ src/language/utilities/automake.mk	14 Jul 2006 04:39:52 -0000
@@ -1,18 +1,17 @@
 ## Process this file with automake to produce Makefile.in  -*- makefile -*-
 
 
-src_language_utilities_q_sources_q =  \
-	src/language/utilities/set.q
+src_language_utilities_built_sources = \
+	src/language/utilities/set.c
 
+all_q_sources += $(src_language_utilities_built_sources:.c=.q)
 
-src_language_utilities_q_sources_c =  \
-	src/language/utilities/set.c
 
-noinst_LIBRARIES += src/language/utilities/libutilities.a
+EXTRA_DIST += $(src_language_utilities_built_sources:.c=.q)
+nodist_src_language_utilities_libutilities_a_SOURCES = $(src_language_utilities_built_sources)
+CLEANFILES += $(src_language_utilities_built_sources)
 
-EXTRA_DIST += $(src_language_utilities_q_sources_q)
-nodist_src_language_utilities_libutilities_a_SOURCES = $(src_language_utilities_q_sources_c)
-CLEANFILES += $(src_language_utilities_q_sources_c)
+noinst_LIBRARIES += src/language/utilities/libutilities.a
 
 src_language_utilities_libutilities_a_SOURCES = \
 	src/language/utilities/date.c \
Index: src/ui/gui/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/ui/gui/automake.mk,v
retrieving revision 1.10
diff -U3 -r1.10 automake.mk
--- src/ui/gui/automake.mk	24 Jun 2006 09:08:50 -0000	1.10
+++ src/ui/gui/automake.mk	14 Jul 2006 04:39:52 -0000
@@ -2,7 +2,7 @@
 
 bin_PROGRAMS += src/ui/gui/psppire
 
-src/ui/gui/%: AM_CFLAGS = $(GTK_CFLAGS) $(GLADE_CFLAGS) -Wall
+src_ui_gui_psppire_CFLAGS = $(GTK_CFLAGS) $(GLADE_CFLAGS) -Wall
 
 src_ui_gui_psppire_LDFLAGS = \
 	-export-dynamic 
@@ -10,19 +10,19 @@
 src_ui_gui_psppire_LDADD = \
 	$(GTK_LIBS) \
 	$(GLADE_LIBS) \
-	$(top_builddir)/lib/gtksheet/libgtksheet.a \
-	$(top_builddir)/src/math/libpspp_math.a \
-	$(top_builddir)/src/data/libdata.a \
-	$(top_builddir)/src/libpspp/libpspp.a \
-	$(top_builddir)/gl/libgl.a \
+	lib/gtksheet/libgtksheet.a \
+	src/math/libpspp_math.a \
+	src/data/libdata.a \
+	src/libpspp/libpspp.a \
+	gl/libgl.a \
 	@LIBINTL@ @LIBREADLINE@
 
 src_ui_gui_psppiredir = $(pkgdatadir)
 
 dist_src_ui_gui_psppire_DATA = \
-	$(top_srcdir)/src/ui/gui/psppire.glade \
-	$(top_srcdir)/src/ui/gui/psppicon.png \
-	$(top_srcdir)/src/ui/gui/pspplogo.png
+	src/ui/gui/psppire.glade \
+	src/ui/gui/psppicon.png \
+	src/ui/gui/pspplogo.png
 
 
 src_ui_gui_psppire_SOURCES = \
Index: src/ui/terminal/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/ui/terminal/automake.mk,v
retrieving revision 1.9
diff -U3 -r1.9 automake.mk
--- src/ui/terminal/automake.mk	27 Jun 2006 15:23:30 -0000	1.9
+++ src/ui/terminal/automake.mk	14 Jul 2006 04:39:52 -0000
@@ -17,26 +17,26 @@
 src_ui_terminal_pspp_SOURCES =
 
 src_ui_terminal_pspp_LDADD =					\
-	$(top_builddir)/src/ui/terminal/libui.a \
-	$(top_builddir)/src/language/liblanguage.a \
-	$(top_builddir)/src/language/tests/libtests.a \
-	$(top_builddir)/src/language/utilities/libutilities.a \
-	$(top_builddir)/src/language/control/libcontrol.a \
-	$(top_builddir)/src/language/expressions/libexpressions.a \
-	$(top_builddir)/src/language/stats/libstats.a \
-	$(top_builddir)/src/language/xforms/libxforms.a \
-	$(top_builddir)/src/language/dictionary/libcmddict.a \
-	$(top_builddir)/src/language/lexer/liblexer.a \
-	$(top_builddir)/src/language/data-io/libdata_io.a \
-	$(top_builddir)/src/output/charts/libcharts.a \
-	$(top_builddir)/src/output/liboutput.a \
-	$(top_builddir)/src/math/libpspp_math.a  \
-	$(top_builddir)/src/math/linreg/libpspp_linreg.a  \
-	$(top_builddir)/lib/linreg/liblinreg.a	\
-	$(top_builddir)/lib/gsl-extras/libgsl-extras.a	\
-	$(top_builddir)/src/data/libdata.a \
-	$(top_builddir)/src/libpspp/libpspp.a \
-	$(top_builddir)/gl/libgl.a	\
+	src/ui/terminal/libui.a \
+	src/language/liblanguage.a \
+	src/language/tests/libtests.a \
+	src/language/utilities/libutilities.a \
+	src/language/control/libcontrol.a \
+	src/language/expressions/libexpressions.a \
+	src/language/stats/libstats.a \
+	src/language/xforms/libxforms.a \
+	src/language/dictionary/libcmddict.a \
+	src/language/lexer/liblexer.a \
+	src/language/data-io/libdata_io.a \
+	src/output/charts/libcharts.a \
+	src/output/liboutput.a \
+	src/math/libpspp_math.a  \
+	src/math/linreg/libpspp_linreg.a  \
+	lib/linreg/liblinreg.a	\
+	lib/gsl-extras/libgsl-extras.a	\
+	src/data/libdata.a \
+	src/libpspp/libpspp.a \
+	gl/libgl.a	\
 	$(LIBICONV) \
 	@LIBINTL@ @LIBREADLINE@
 
Index: tests/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/tests/automake.mk,v
retrieving revision 1.10
diff -U3 -r1.10 automake.mk
--- tests/automake.mk	12 Jul 2006 17:09:19 -0000	1.10
+++ tests/automake.mk	14 Jul 2006 04:39:52 -0000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in  -*- makefile -*-
 
-TESTS_ENVIRONMENT = top_srcdir=${top_srcdir} top_builddir=${top_builddir}
+TESTS_ENVIRONMENT = top_srcdir='$(top_srcdir)' top_builddir='$(top_builddir)'
 TESTS_ENVIRONMENT += PERL='@PERL@'
 TESTS = \
 	tests/command/aggregate.sh \
